Bug 201372 - rescue mode looks for /usr/bin/ifconfig to start network, not found
rescue mode looks for /usr/bin/ifconfig to start network, not found
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: 201454 201742 202387 (view as bug list)
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
Reported: 2006-08-04 13:21 EDT by Jesse Keating
Modified: 2013-01-09 21:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-04 13:58:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-08-04 13:21:59 EDT
When prompted to start the network in rescue mode, anaconda looks for
/usr/bin/ifconfig and it is missing.  THus network doesn't start and rescue mode
stalls out.
Comment 1 Chris Lumens 2006-08-04 13:58:19 EDT
I am constantly amazed by the things we find in anaconda.
Comment 2 Chris Lumens 2006-08-07 09:38:22 EDT
*** Bug 201454 has been marked as a duplicate of this bug. ***
Comment 3 Chris Lumens 2006-08-08 13:49:39 EDT
*** Bug 201742 has been marked as a duplicate of this bug. ***
Comment 4 Jerry Amundson 2006-08-08 14:22:08 EDT

1. Where is ownership of bugs with Resolution "RAWHIDE"? To community members 
at-large, such as myself, if it's not fixed in the next-released-iso (Test 
3?), then it's still OPEN.

2. Relating somewhat to #1, the duplication, on my part, is due to the default 

The flawed logic there causes time lost by developers closing duplicates, 
*and* by testers opening them.
Comment 5 Chris Lumens 2006-08-08 17:07:13 EDT
CLOSED->RAWHIDE means we have committed a fix to anaconda CVS and that this fix
will be picked up in the next build of the package.  We won't have new images
made between test releases, so I can see how you might view the bug as still
open.  However since there is a committed fix that will be built, we view it as

If you think the bugzilla search is lacking or confusing, please file a bug
against the bugzilla component.
Comment 6 Chris Lumens 2006-08-14 09:41:38 EDT
*** Bug 202387 has been marked as a duplicate of this bug. ***
Comment 7 Alexandre Oliva 2006-08-14 15:58:19 EDT
Chris, the correct state in this case is to leave it open, or perhaps change it
to modified.  CLOSED->RAWHIDE should be reserved for when the fix is *already*
in rawhide.  Otherwise, you have to cope with dupes even from people who did the
homework and searched for open bugs.
Comment 8 Chris Lumens 2006-08-14 16:13:27 EDT
* Mon Aug 07 2006 Chris Lumens <clumens@redhat.com>
- Look for ifconfig in the right place during rescue mode (#201372).

Note You need to log in before you can comment on or make changes to this bug.